<?php
ViewResponse::getInstance()->setMethodAjax();

/*****************************************/
$o_ObjectBean = new PrestamoBean();
 
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  
//$o_ObjectBean->setIdMercado($cboMercado); 

//FILTRO MERCADO------------------------------------------------------------------------
//Obtener Sucursal------------------------------------
//Id del Administrador--------------------------------

if(myUser::getUser()->getIdPadre() == '1' || myUser::getUser()->getRoleId() == "sys.ope" || myUser::getUser()->getRoleId() == "sys.sup"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	//echo $o_ColaboradorBeanResult[0]->getIdPadre();
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	$o_SucursalMercadoBean = new SucursalMercadoBean();
	$o_SucursalMercadoBean->setIdSucursal($a_o_sucursal[0]->getIdSucursal());
	$o_SucursalMercadoBL = new SucursalMercadoBL();
	$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
	if(is_array($a_o_sucursalmercado)){
		foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
			$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
		}
	}
	
	$o_ObjectBean->setFiltroMercado($a_IdMercados);
	 
	//FILTRO IDCOLABORADOR--------------------------------------------------------------------
	//Obtener todos los Id de colaborador de ese IdAdministrador
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	$o_ObjectBean->setFiltroSucursal($a_Colaborador);	
		
	//Sacar el nombre de la sucursal
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	
	foreach ($a_o_sucursal as $key => $o_sucursal){
		$IdSucursal 	= $o_sucursal->getIdSucursal();
		$NombreSucursal = $o_sucursal->getDescripcion();
	}
	
 }
 
//----------------------------------------------------------------------------------

if($cboMercado     	!= ""){
	 $o_ObjectBean->setIdMercado($cboMercado);	 
}



if($txtNuemroPrestamo   !=""){ $o_ObjectBean->setIdPrestamo($txtNuemroPrestamo); }
if($cboEstadoPrestamo   !=""){ $o_ObjectBean->setEstado($cboEstadoPrestamo); }
if($txtNombre     		!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }
if($cboOrigen  			!=""){ $o_ObjectBean->setOrigen($cboOrigen); }
if($txtFechaInicial   !=""){ $o_ObjectBean->setFechaInicio($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinal($txtFechaFinal); }


$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);  

/*****************************************/

$pdf=new FPDF();
$pdf->AliasNbPages();
$pdf->AddPage();

define("POS_IZQ", 5);

/*iniciop titulo*/
$pdf->SetFont('Arial','B',13);
$pdf->SetXY(POS_IZQ,10);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(250,10,'Listado de Prestamos',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('Arial','B',6);
$pdf->SetXY(POS_IZQ,17);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(4,4,'Nro.',0,0,'L',1);
$pdf->Cell(35,4,'Cliente',0,0,'L',1);
$pdf->Cell(15,4,'F.Inicio',0,0,'L',1);
$pdf->Cell(15,4,'F.Vencim.',0,0,'L',1);
$pdf->Cell(15,4,'Capital',0,0,'L',1);
$pdf->Cell(15,4,'Interes',0,0,'R',1);
$pdf->Cell(15,4,'M.Total',0,0,'L',1);
$pdf->Cell(15,4,'Saldo',0,0,'L',1);
$pdf->Cell(15,4,'Estado',0,0,'L',1);
$pdf->Cell(15,4,'Tipo Prest.',0,0,'L',1);
$pdf->Cell(15,4,'Usr.Cre.',0,0,'L',1);
$pdf->Cell(15,4,'Fec.Cre.',0,1,'L',1);


/*fin de cabecera*/

$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('Arial','B',6);

if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
      
    $pdf->SetX(POS_IZQ);
   
    $pdf->Cell(4,4,($iKey+1),0,0,'L',1);
    $pdf->Cell(35,4,ucwords(strtolower($o_objBean->getObjectCliente()->getNombreCompleto())),0,0,'L',1);
    $pdf->Cell(15,4,$o_objBean->getFechaInicio(),0,0,'L',1);
    $pdf->Cell(15,4,$o_objBean->getFechaVencimiento(),0,0,'L',1);
    $pdf->Cell(15,4,number_format($o_objBean->getMontoPrestado(),2), $total += $o_objBean->getMontoPrestado(),0,0,'L',1);
    $pdf->Cell(15,4,$o_objBean->getInteresPorcentaje(),0,0,'R',1);
    $pdf->Cell(15,4,number_format($o_objBean->getMontoTotal(),2),0,0,'L',1);
    $pdf->Cell(15,4,number_format($o_objBean->getSaldoPrestamo(),2),0,0,'L',1);
    $pdf->Cell(15,4,$o_objBean->getEstado(),0,0,'L',1);
    $pdf->Cell(15,4,$o_objBean->getOrigen(),0,0,'L',1);
    $pdf->Cell(15,4,strtoupper($o_objBean->getUsuarioCreacion()),0,0,'L',1);
    $pdf->Cell(15,4,$o_objBean->getFechaCreacion(),0,1,'L',1);
    
  }
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(250,12,"No hay registros.",0,0,'L',1);
  
}
$pdf->Output();
?>